@echo off
goto start

:pfade
rem %%%% In folgenden zwei Zeilen Pfade einstellen:
set lccpath=D:\Compile\lcc32
set matlabpath=D:\MATLAB\R2010b_32
rem %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set path=%lccpath%\bin;%path%
set lccinclude=-I"%lccpath%\include;%lccpath%\include\sys"
set lccopt=-c -A -Zp8 -ansic -O -DMATLAB_MEX_FILE -DNDEBUG
set lnklib="%lccpath%\lib\libf77.lib" "%matlabpath%\extern\lib\win32\lcc\libmx.lib" "%matlabpath%\extern\lib\win32\lcc\libmex.lib" "%matlabpath%\extern\lib\win32\lcc\libmat.lib"
if exist "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib" set lnklib=%lnklib% "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib"
set matlabinclude=-I"%matlabpath%\extern\include" 
goto compile

:start
if not "%lccpath%"=="" goto compile
goto pfade

:compile
rem Fortran
echo "irkgauss.f"
f2c -A irkgauss.f

rem C
lcc %lccopt% %lccinclude% -FoirkgaussMex.obj %matlabinclude% irkgaussMex.c
lcc %lccopt% %lccinclude% -Fooptions.obj %matlabinclude% options.c
lcc -c -Zp8 %lccinclude% -DMATLAB_MEX_FILE "%matlabpath%\sys\lcc\mex\lccstub.c" -Fo_libstub.obj 
lrc %lccinclude% -fo"mexversion.res"  "%matlabpath%\extern\include\mexversion.rc" 
lcclnk -o irkgaussMex.dll -dll "%matlabpath%\extern\lib\win32\lcc\mexFunction.def" -s _libstub.obj irkgaussMex.obj irkgauss.obj options.obj mexversion.res %lnklib%


rem Aufrumen
if exist irkgauss.c del irkgauss.c
if exist irkgauss.obj del irkgauss.obj 

if exist options.obj del options.obj

if exist irkgaussMex.exp del irkgaussMex.exp
if exist irkgaussMex.lib del irkgaussMex.lib
if exist irkgaussMex.obj del irkgaussMex.obj

if exist mexversion.res del mexversion.res
if exist _libstub.obj del _libstub.obj
